"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.snippetKey = void 0;
const crypto = require("crypto");
const record_references_1 = require("../languages/record-references");
const snippet_1 = require("../snippet");
/**
 * Determine the key for a code block
 */
function snippetKey(snippet) {
    const h = crypto.createHash('sha256');
    h.update(String(record_references_1.RecordReferencesVisitor.VERSION));
    // Mix in API location to distinguish between similar snippets
    h.update((0, snippet_1.renderApiLocation)(snippet.location.api));
    h.update(':');
    h.update(snippet.visibleSource);
    return h.digest('hex');
}
exports.snippetKey = snippetKey;
//# sourceMappingURL=key.js.map