"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
describe('construct TypeScriptSnippets', () => {
    const source = ['a', '/// !show', 'b', '/// !hide', 'c'].join('\n');
    const location = { api: { api: 'file', fileName: 'x' } };
    test('using typeScriptSnippetFromVisibleSource', () => {
        const snippet = (0, lib_1.typeScriptSnippetFromVisibleSource)(source, location, true);
        expect(snippet.visibleSource).toEqual(source);
        expect(snippet.completeSource).toEqual(undefined);
    });
    test('using typeScriptSnippetFromCompleteSource', () => {
        const snippet = (0, lib_1.typeScriptSnippetFromCompleteSource)(source, location, true);
        expect(snippet.visibleSource).toEqual('b');
        expect(snippet.completeSource).toEqual(source);
    });
});
//# sourceMappingURL=snippet.test.js.map