"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
const util_1 = require("../lib/util");
describe(util_1.annotateStrictDiagnostic, () => {
    let diagnostic;
    beforeEach(() => {
        diagnostic = {
            category: ts.DiagnosticCategory.Error,
            code: 999,
            messageText: 'messageText',
            file: undefined,
            start: undefined,
            length: undefined,
        };
    });
    test('adds strict property', () => {
        (0, util_1.annotateStrictDiagnostic)(diagnostic);
        expect((0, util_1.hasStrictBranding)(diagnostic)).toEqual(true);
    });
    test('do not add strict property', () => {
        expect((0, util_1.hasStrictBranding)(diagnostic)).toEqual(false);
    });
});
//# sourceMappingURL=util.test.js.map